TIX(3)

NAME
pixmap - image type for the XPM file format.

SYNOPSIS
image create pixmap ?name? ?options?

DESCRIPTION

XPM is a popular X Window image file format for storing color icons. The pixmap image type defined by the Tix(n) library can be used to create color images using XPM files.

CREATING PIXMAPS

Like all images, pixmaps are created using the image create command. Pixmaps support the following options:

-data string
    Specifies the contents of the source pixmap as a string. The string must adhere to the XPM file format (e.g., as generated by the pixmap(1) program). If both the -data and -file options are specified, the -data option takes precedence. Please note that the XPM file parsing code in the xpm library is extremely fragile. The first line of the string must be "/* XPM */" or otherwise a segmatation fault will be caused.

-file name
    name gives the name of a file whose contents define the source pixmap. The file must adhere to the XPM file format (e.g., as generated by the pixmap(1) program).

IMAGE COMMAND

When a pixmap image is created, Tk also creates a new command whose name is the same as the image. This command may be used to invoke various operations on the image. It has the following general form:
    imageName option ?arg arg ...?
Option and the args determine the exact behavior of the command. The following commands are possible for pixmap images:

imageName cget option
    Returns the current value of the configuration option given by option. Option may have any of the values accepted by the image create pixmap command.

imageName configure ?option? ?value option value ...?
    Query or modify the configuration options for the image. If no option is specified, returns a list describing all of the available options for imageName (see Tk_ConfigureInfo for information on the format of this list). If option is specified with no value, then the command returns a list describing the one named option (this list will be identical to the corresponding sublist of the value returned if no option is specified). If one or more option-value pairs are specified, then the command modifies the given option(s) to have the given value(s); in this case the command returns an empty string. Option may have any of the values accepted by the image create pixmap command.

KEYWORDS
pixmap(1), image(n), Tix(n)